#CC = /usr/lang/SUNWspro/bin/cc
#CC = cc -Aa
CC = cc 
target: cdemo
cdemo: cdemo.o file1.o file2.o
	$(CC) cdemo.o file1.o file2.o -o cdemo
cdemo.o: cdemo.c cdemo.h
	$(CC) -c cdemo.c -o cdemo.o
file1.o: file1.c cdemo.h
	$(CC) -c file1.c -o file1.o
file2.o: file2.c cdemo.h
	$(CC) -c file2.c -o file2.o

clean:
	rm -f *.o cdemo
